## dump1090-mutability 1.15~20180310.4a16df3%2Bdfsg

=== debian/changelog ===
dump1090-mutability (1.15~20180310.4a16df3+dfsg-8.1build2) oracular; urgency=medium

  * Rebuild against latest rtl-sdr

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 20 May 2024 09:05:46 -0400

dump1090-mutability (1.15~20180310.4a16df3+dfsg-8.1build1) noble; urgency=medium

  * Rebuild against latest rtl-sdr

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 18 Feb 2024 13:23:50 -0500

dump1090-mutability (1.15~20180310.4a16df3+dfsg-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop Recommends: python (Closes: #945665).

 -- Bastian Germann <bage@debian.org>  Sat, 03 Dec 2022 23:38:23 +0100

dump1090-mutability (1.15~20180310.4a16df3+dfsg-8) unstable; urgency=medium

  * Team upload.
  * Patch Makefile for FTCBFS (Closes: #981130)
    Thank you to Helmut Grohne for the patch.

 -- tony mancill <tmancill@debian.org>  Tue, 26 Jan 2021 20:16:35 -0800

dump1090-mutability (1.15~20180310.4a16df3+dfsg-7) unstable; urgency=medium

  * Team upload.

  [ Gürkan Myczko ]
  * Add README.Debian

  [ Matteo F. Vescovi ]
  * debian/control: drop myself from Uploaders

  [ tony mancill ]
  * Add patch for FTBFS with GCC 10 (Closes: #980515)
  * Set Rules-Requires-Root: no in debian/control
  * Bump Standards-Version to 4.5.1
  * Use debhelper-compat 13

 -- tony mancill <tmancill@debian.org>  Sat, 23 Jan 2021 09:11:16 -0800

dump1090-mutability (1.15~20180310.4a16df3+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Debconf translations:
    + nl by Frans Spiesschaert (Closes: #919304)
    + pt by Américo Monteiro (Closes: #919336)
  * Remove calls to dpkg-maintscript-helper, version 1.14 was in experimental
    only.
  * Add override for source-is-missing public_html/markers.js, file is not
    minified, overly long lines are svg data.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 17 Jan 2019 13:32:28 +0100

dump1090-mutability (1.15~20180310.4a16df3+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Fix debconf template to not split maximum output buffering time template
    on commas (because of two leading underscores). (Closes: #917054)

 -- Christoph Berg <myon@debian.org>  Sat, 22 Dec 2018 12:17:51 +0100

dump1090-mutability (1.15~20180310.4a16df3+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Fix linking against rtlsdr.
  * Remove /var/log/dump1090-mutability.log on purge. (Closes: #909486)
  * Debconf translations:
    + de by Mathias F. Popp (Closes: #908173)
    + fr by Grégoire Scano (Closes: #912985)
    + nl by Frans Spiesschaert (Closes: #909684)

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 21 Dec 2018 10:45:48 +0100

dump1090-mutability (1.15~20180310.4a16df3+dfsg-3) unstable; urgency=medium

  * Upload to unstable
  * debian/control: S-V bump 4.1.3 -> 4.2.1 (no changes needed)
  * debian/copyright: obsolete entries removed

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 27 Aug 2018 22:08:55 +0200

dump1090-mutability (1.15~20180310.4a16df3+dfsg-2) experimental; urgency=medium

  * debian/control: po-debconf b-dep added

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 06 Apr 2018 22:42:08 +0200

dump1090-mutability (1.15~20180310.4a16df3+dfsg-1) experimental; urgency=medium

  [ Matteo F. Vescovi ]
  * New upstream snapshot release (based on git commit 4a16df3)
  * debian/po/templates.pot: file updated
  * debian/watch: mangling updated

  [ Raphael Geissert ]
  * Use po-debconf for i18n

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 25 Mar 2018 23:49:27 +0200

dump1090-mutability (1.14-1) experimental; urgency=medium

  * Initial release (Closes: #712830)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 14 Feb 2018 22:02:39 +0100

## dump1090-mutability 1.15~20180310.4a16df3+dfsg

=== Makefile ===
#
# When building a package or installing otherwise in the system, make
# sure that the variable PREFIX is defined, e.g. make PREFIX=/usr/local
#
PROGNAME=dump1090

ifndef DUMP1090_VERSION
DUMP1090_VERSION=$(shell git describe --always --tags --match=v*)
endif

ifdef PREFIX
BINDIR=$(PREFIX)/bin
SHAREDIR=$(PREFIX)/share/$(PROGNAME)
EXTRACFLAGS=-DHTMLPATH=\"$(SHAREDIR)\"
endif

CPPFLAGS+=-DMODES_DUMP1090_VERSION=\"$(DUMP1090_VERSION)\"
CFLAGS+=-O2 -g -Wall -Werror -W -Wno-unknown-warning-option -Wno-format-truncation
LIBS=-lpthread -lm
LIBS_RTL=`pkg-config --libs librtlsdr libusb-1.0`
CC=gcc

UNAME := $(shell uname)

ifeq ($(UNAME), Linux)
LIBS+=-lrt
CFLAGS+=-std=c11 -D_DEFAULT_SOURCE
endif
ifeq ($(UNAME), Darwin)
UNAME_R := $(shell uname -r)
ifeq ($(shell expr "$(UNAME_R)" : '1[012345]\.'),3)
CFLAGS+=-std=c11 -DMISSING_GETTIME -DMISSING_NANOSLEEP
COMPAT+=compat/clock_gettime/clock_gettime.o compat/clock_nanosleep/clock_nanosleep.o
else
# Darwin 16 (OS X 10.12) supplies clock_gettime() and clockid_t
CFLAGS+=-std=c11 -DMISSING_NANOSLEEP -DCLOCKID_T
COMPAT+=compat/clock_nanosleep/clock_nanosleep.o
endif
endif

ifeq ($(UNAME), OpenBSD)
CFLAGS+= -DMISSING_NANOSLEEP
COMPAT+= compat/clock_nanosleep/clock_nanosleep.o
endif

all: dump1090 view1090

%.o: %.c *.h
	$(CC) $(CPPFLAGS) $(CFLAGS) $(EXTRACFLAGS) -c $< -o $@

dump1090.o: CFLAGS += `pkg-config --cflags librtlsdr libusb-1.0`

dump1090: dump1090.o anet.o interactive.o mode_ac.o mode_s.o net_io.o crc.o demod_2400.o stats.o cpr.o icao_filter.o track.o util.o convert.o $(COMPAT)
	$(CC) -g -o $@ $^ $(LIBS) $(LIBS_RTL) $(LDFLAGS)

view1090: view1090.o anet.o interactive.o mode_ac.o mode_s.o net_io.o crc.o stats.o cpr.o icao_filter.o track.o util.o $(COMPAT)
	$(CC) -g -o $@ $^ $(LIBS) $(LDFLAGS)

faup1090: faup1090.o anet.o mode_ac.o mode_s.o net_io.o crc.o stats.o cpr.o icao_filter.o track.o util.o $(COMPAT)
	$(CC) -g -o $@ $^ $(LIBS) $(LDFLAGS)

clean:
	rm -f *.o compat/clock_gettime/*.o compat/clock_nanosleep/*.o dump1090 view1090 faup1090 cprtests crctests

test: cprtests
	./cprtests

cprtests: cpr.o cprtests.o
	$(CC) $(CPPFLAGS) $(CFLAGS) $(EXTRACFLAGS) -g -o $@ $^ -lm

crctests: crc.c crc.h
	$(CC) $(CPPFLAGS) $(CFLAGS) $(EXTRACFLAGS) -g -DCRCDEBUG -o $@ $<

=== debian/control ===
Source: dump1090-mutability
Section: net
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders:
 Raphael Geissert <geissert@debian.org>
Build-Depends:
 apache2-dev (>= 2.4.1),
 debhelper-compat (= 13),
 librtlsdr-dev,
 libusb-1.0-0-dev,
 pkg-config,
 po-debconf
Standards-Version: 4.5.1
Homepage: https://github.com/mutability/dump1090
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/dump1090-mutability
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/dump1090-mutability.git
Rules-Requires-Root: no

Package: dump1090-mutability
Architecture: any
Depends:
 adduser,
 libjs-excanvas,
 libjs-jquery-ui,
 libjs-jquery-ui-theme-smoothness,
 lsb-base,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 lighttpd,
 python (>= 2.5)
Provides:
 fatsv-data-source
Description: ADS-B Ground Station System for RTL-SDR
 Networked Aviation Mode S / ADS-B decoder/translator with RTL-SDR software
 defined radio USB device support.
 .
 This is a packaging of the "mutability" fork of dump1090 that includes
 sampling at 2.4MHz and other improvements.
